Loading...
Searching...
No Matches
BALL::TContourSurface< T >::Cube Class Reference

`#include <BALL/DATATYPE/contourSurface.h>`

## Public Member Functions

| Cube (const TRegularData3D< T > &grid)
void | setTo (Position p)
Vector3 | getOrigin () const
const Vector3 & | getSpacing () const
Vector3 | getCoordinates (Position index) const
Position | getIndex (Position corner) const
| Return the absolute grid position for a given corner.
void | shift ()
Position | computeTopology (double threshold)
| Compute the topology code for the current cube.

## Public Attributes

double | values [8]

## Protected Attributes

const TRegularData3D< T > * | grid_
Position | current_position_
Position | grid_offset_ [8]
const T * | ptr_
Vector3 | spacing_

## Detailed Description

template<typename T>
class BALL::TContourSurface< T >::Cube

A cube in the grid. This class is used to extract information from the grid, store the values of the eight corners of a cube, and determine the topology and the triangles in the cube.

Definition at line 119 of file contourSurface.h.

## Constructor & Destructor Documentation

## Cube()

template<typename T>

BALL::TContourSurface< T >::Cube::Cube | ( | const TRegularData3D< T > & | grid | ) |

inline

Definition at line 123 of file contourSurface.h.

## Member Function Documentation

## computeTopology()

template<typename T>

Position BALL::TContourSurface< T >::Cube::computeTopology | ( | double | threshold | ) |

inline

Compute the topology code for the current cube.

Definition at line 197 of file contourSurface.h.

## getCoordinates()

template<typename T>

Vector3 BALL::TContourSurface< T >::Cube::getCoordinates | ( | Position | index | ) | const

inline

Definition at line 166 of file contourSurface.h.

## getIndex()

template<typename T>

Position BALL::TContourSurface< T >::Cube::getIndex | ( | Position | corner | ) | const

inline

Return the absolute grid position for a given corner.

Definition at line 172 of file contourSurface.h.

## getOrigin()

template<typename T>

Vector3 BALL::TContourSurface< T >::Cube::getOrigin | ( |  | ) | const

inline

Definition at line 156 of file contourSurface.h.

## getSpacing()

template<typename T>

const Vector3 & BALL::TContourSurface< T >::Cube::getSpacing | ( |  | ) | const

inline

Definition at line 161 of file contourSurface.h.

## setTo()

template<typename T>

void BALL::TContourSurface< T >::Cube::setTo | ( | Position | p | ) |

inline

Definition at line 145 of file contourSurface.h.

## shift()

template<typename T>

void BALL::TContourSurface< T >::Cube::shift | ( |  | ) |

inline

Definition at line 177 of file contourSurface.h.

## Member Data Documentation

## current_position_

template<typename T>

Position BALL::TContourSurface< T >::Cube::current_position_

protected

Definition at line 222 of file contourSurface.h.

## grid_

template<typename T>

const TRegularData3D<T>* BALL::TContourSurface< T >::Cube::grid_

protected

Definition at line 219 of file contourSurface.h.

## grid_offset_

template<typename T>

Position BALL::TContourSurface< T >::Cube::grid_offset_[8]

protected

Definition at line 226 of file contourSurface.h.

## ptr_

template<typename T>

const T* BALL::TContourSurface< T >::Cube::ptr_

protected

Definition at line 229 of file contourSurface.h.

## spacing_

template<typename T>

Vector3 BALL::TContourSurface< T >::Cube::spacing_

protected

Definition at line 232 of file contourSurface.h.

## values

template<typename T>

double BALL::TContourSurface< T >::Cube::values[8]

Definition at line 214 of file contourSurface.h.